GET /api/audits?search=host%3Dmyhost1.mydomain.net&per_page=3
200
{
"total": 5,
"subtotal": 1,
"page": 1,
"per_page": 3,
"search": "host=myhost1.mydomain.net",
"sort": {
"by": null,
"order": null
},
"results": [
{
"user_id": 135138680,
"user_type": null,
"user_name": "secret_admin",
"version": 1,
"comment": null,
"associated_id": null,
"associated_type": null,
"remote_address": "127.0.0.1",
"associated_name": null,
"created_at": "2026-10-02 20:49:39 UTC",
"request_uuid": "62ddf5b8-c298-4a4d-b373-64a8f073336a",
"id": 980190966,
"auditable_id": 2,
"auditable_name": "myhost1.mydomain.net",
"auditable_type": "Host::Base",
"action": "create",
"audited_changes": {
"name": "myhost1.mydomain.net",
"root_pass": "$6$DbSDsGSec7OtRZAJ$.Z0QPy4aUzFZvkCg5KidFquD06YxkmR.das7T7ufBNOWJbOHKadmWls15KDR0K5E5SB5gcO57gVdGGjPNHhta.",
"architecture_id": 922134523,
"operatingsystem_id": 1073012830,
"ptable_id": 1007981703,
"medium_id": 1011586620,
"build": false,
"comment": "",
"disk": "",
"installed_at": null,
"model_id": null,
"hostgroup_id": null,
"owner_id": 135138680,
"owner_type": "User",
"enabled": true,
"puppet_ca_proxy_id": null,
"managed": true,
"use_image": null,
"image_file": null,
"uuid": null,
"compute_resource_id": 980190963,
"puppet_proxy_id": null,
"certname": null,
"image_id": null,
"organization_id": 447626438,
"location_id": 255093256,
"otp": null,
"realm_id": null,
"compute_profile_id": null,
"provision_method": "build",
"grub_pass": null,
"pxe_loader": "",
"initiated_at": null,
"build_errors": null,
"creator_id": 135138680
},
"locations": [
{
"id": 255093256,
"name": "Location 1",
"title": "Location 1",
"description": null
}
],
"organizations": [
{
"id": 447626438,
"name": "Organization 1",
"title": "Organization 1",
"description": null
}
]
}
]
}
| Param name | Description |
|---|---|
|
location_id
optional |
Set the current location context for the request Validations:
|
|
organization_id
optional |
Set the current organization context for the request Validations:
|
|
search
optional |
filter results Validations:
|
|
order
optional |
Sort and order by a searchable field, e.g. '<field> DESC' Validations:
|
|
page
optional |
Page number, starting at 1 Validations:
|
|
per_page
optional |
Number of results per page to return, 'all' to return all results Validations:
|
| Field name | Type | Possible values |
|---|---|---|
| action | string | |
| auditable_id | integer | |
| authored_by_user | string | |
| authored_by_user.id | integer | |
| changes | text | |
| comment | string | |
| host | string | |
| hostgroup | string | |
| hostgroup_title | string | |
| id | integer | |
| interface_fqdn | string | |
| interface_ip | string | |
| interface_mac | string | |
| location | string | |
| location_id | integer | |
| organization | string | |
| organization_id | integer | |
| os | string | |
| os_title | string | |
| parameter | string | |
| partition_table | string | |
| provisioning_template | string | |
| puppetclass | ||
| remote_address | string | |
| request_uuid | string | |
| setting | string | |
| time | datetime | |
| type | setting, user, auth_source, compute_resource, host, interface, location, organization, os, override_value, parameter, partition_table, smart_class_parameter, subnet, provisioning_template | |
| user | string | |
| username | string |